Menu

Getting Started with qTest 9.7.1 OnPremise: July 2019

Overview

You will find information below for Supported Operating Systems and Browsers, Prerequisite Applications, Installation/Upgrade Guides, Deployment Models, along with Hardware Requirements and Supported Versions specific to qTest 9.7.1 OnPremise.

Exciting News!

qTest Manager 9.7.1 is now compatible with the newly released Tricentis Analytics 1.3.1, which requires a separate server in addition to the standard qTest deployment hardware.

Important Announcement

qTest Manager SSO Service Provider (SP) uses an x509 certificate to sign authentication requests and decrypt SAML assertions. As part of qTest Manager's security process, we update our SP certificate every 3 years in August.

If you are using SSO to login to qTest, you must update the SSL certificate in each Manager server before September 9, 2019 as well as, update the SP metadata in your configured IdP. If you do not complete these steps, your users will not be able to login to qtest Manager after the date above.

  1. Replace Signed Certificate File for qTest SSO Integration
  2. Update qTest Manager SSO Service Provider Certificate on SSO IdP
    Note: If your IDP is configured to pull SP metadata automatically, you will not need to complete this step. 

In the event, you are unable to update your IdP before September 9, 2019, follow these instructions to bulk update your users to authenticate via qTest internal (username/password) from your current SSO authentication.

New Enhancements

  • In the 9.7.1 OnPremise release, qtestctl 6.4 package, we moved from Oracle Jdk 1.8.0_144 to Open JDK 1.8.0_212.

Release Notes

Below are the Release Notes for each qTest application associated with this OnPremise release.

Hardware Requirements

qTest 9.7.1 

Your team size and the applications included in your subscription plan will determine the right hardware requirements needed before the installation. Please see this article: Server Sizing Guide

Tricentis Analytics 1.3.1

For information on Tricentis Analytics 1.3.1 hardware requirements, refer to this article.

Deployment Models

qTest 9.7.1

qTest components (and prerequisite applications) communicate with each other via TCP and HTTP, so they can be installed on different systems as long as they can connect via specific ports. Files that may need to be shared among services can be supported by a distributed file system like NFS or SMB. In QASymphony's production cloud deployment, each application has a dedicated server to ensure the best control, but that may not be necessary for an OnPremise deployment. For best practices, please see the examples provided in this article: Selecting your OS and Deployment Model 

Deployment Model and Architecture for Tricentis Analytics 1.3.1

For information on the Tricentis Analytics architecture, please refer to this article.

Supported Systems

Operating Systems

qTest installation packages are offered for these 3 types of environments:

  • Docker on Linux (CentOS 7.2-7.3) or (Ubuntu 16.04-16.10)  64-bit
  • Linux native (CentOS 7.2-7.3) or (Ubuntu 16.04-16.10)  64-bit
  • Windows native (2008 R2, 2012 R2, 2016)

Browsers

qTest works best on the latest stable versions of:

  • Chrome
  • Firefox
  • Safari
  • IE11

Prerequisite Applications

qTest 9.7.1

Based on the OS environment, please see the list of prerequisites below:

Docker

  • Must have access to the outside internet (cannot be used in closed network)
  • Docker Host v17.03-ce - v17.12-ce  See: Instructions to install Docker
  • Kernel must be at least 3.10
  • Once you have Docker installed, you'll automatically have access to the prerequisite applications
  • If you're using CentOS, See: Adjust Docker Storage Drive for CentOS

Windows or Linux (non-Docker)

The table below shows the required versions of prerequisite applications. These must be installed and running before deploying qTest applications.

Here are some basic instructions for installing these prerequisites. If you need more detailed instructions to install these prerequisites, click on the hyperlinks in the table below.

PREREQUISITE APPS DESCRIPTION SUBSCRIPTION PLAN
    Sessions + Explorer Premium Elite

PostgreSQL 9.5.4 - 10

NOTE:

  • A PostgreSQL super user is required
  • This user must be named "postgres" and granted with read/write permissions
Database Server for Manager, Sessions, Insights, Parameters, Launch, Pulse and Scenario. check-icon-32x32.png check-icon-32x32.png check-icon-32x32.png

Elasticsearch 6.3 - 6.8

Database Server for Manager check-icon-32x32.png check-icon-32x32.png check-icon-32x32.png

An NFS directory

NOTE:

  • This is only required if you are deploying qTest applications using load balancing model
To store attachments (optional) (optional) (optional)

IMPORTANT: If you are planning on installing Tricentis Analytics 1.3.1, you will need to make some changes to your ElasticSearch. For more information, please refer to the Tricentis Analytics 1.3.1 patch notes

Tricentis Analytics 1.3.1

For information on prerequisite material for the Tricentis Analytics 1.3.1 install, please refer to this article.

 qTest Products

Each product in the qTest platform delivers a tailored experience for its users. Below is a list of the products that you should install for each subscription plan:

PRODUCT DESCRIPTION SUBSCRIPTION PLAN
    Sessions + Explorer Premium Elite
Manager Test Case Management check-icon-32x32.png* check-icon-32x32.png check-icon-32x32.png
Sessions Screen Capture and Recording check-icon-32x32.png check-icon-32x32.png check-icon-32x32.png
Parameters Reusable Test Input Data   check-icon-32x32.png check-icon-32x32.png
Insights Testing Metrics and Analytics     check-icon-32x32.png
Launch Centralized Test Automation     check-icon-32x32.png
Scenario Jira Plugin for BDD     check-icon-32x32.png
Pulse Agile and DevOps Workflows     check-icon-32x32.png


*qTest Manager component for Sessions + Explorer package is simply for Administration purposes and does not contain test case management features.

Install and Upgrade Guides

qTest 9.7.1

Below are links to our Master Install and Upgrade Guides for the qTest Product Suite. These Master Guides provide you access to previous versions and operating system instructions.

Tricentis Analytics 1.3.1

Ports

qTest 9.7.1

Please note, that you must open the ports below prior to any self/assisted installation or upgrade. You should only open the HTTPS ports if you plan to serve SSL from the application.

PREREQUISITE APPLICATIONS

Product  Port
Postgres 5432
ElasticSearch  9200
Network Drive 2049

 

LINUX DOCKER  

Product HTTP Port HTTPS Port
Manager 80 443 
Sessions 8080 8443
qMap 7080 7443
Scenario 6080 6443
Insights 9080 9443
Parameters 10080 10443
Pulse 4080 4443
Launch 3080 3443

 

LINUX NON-DOCKER AND WINDOWS

Product HTTP Port HTTPS Port
Manager 8080 8443 
Sessions 9080 9443
Scenario 6080 6443
Insights 10080 10443
Parameters 5080 5443
Pulse 4080 4443
Launch 3080 3443

 

Tricentis Analytics 1.3.1

Tricentis Analytics uses the following ports by default: 

Default TCP Ports: (these are not interchangeable or configurable. Validate to check that these ports are not being used by other applications):

  • 80 (open both in and outbound)
  • 443 (open both in and outbound)
  • 4242 (open inbound)
  • 4247 (open inbound)

Tricentis Analytics Authority Web App Port (this is configurable):

  • 5000 (open both in and outbound)

Port for Tricentis Analytics internal Postgres (this is configurable if necessary):

  • 4432

Internal port for AppSync (this is configurable if necessary):

  • 8080

For more information on Tricentis Analytics 1.3.0 install prerequisites, refer to this article.

Supported Versions

As outlined in the Terms of Use (Appendix A - Support Services), QASymphony OnPremise support expires for any software version more than 12 months after any superseding update. Therefore, we recommend that customers keep up with the latest updates and upgrade their software. For information on OnPremise software versions and their support status, refer to this article.

Powered by Zendesk